Get weather stations

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/weatherStations

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required

Query parameters

  • count integer(int32)

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id string
    • latitude number(double)
    • longitude number(double)
    • name string
    • startDate string(date)
    • endDate string(date)
    • missingData boolean
GET /project/{projectId}/weatherStations
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/weatherStations' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "id": "string",
    "latitude": 42.0,
    "longitude": 42.0,
    "name": "string",
    "startDate": "2026-05-04",
    "endDate": "2026-05-04",
    "missingData": true
  }
]